extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'List Button Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 List Button Svelte Component
      script(src="/js/motion/listbutton.js")
      f7-motion-listbutton(motion)

    p List Button Svelte component represents Framework7's <a href="../docs/list-view.html#list-button">List Button</a> element. They are intended to be used inside of the <a href="list-view.html">List Svelte Component</a>.

    h2 List Button Components
    p There are following components included:
    ul
      li `ListButton`

    h2 List Button Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          td title
          td string
          td
          td Button inner text
        tr
          td text
          td string
          td
          td Button inner text, same as `title`
        tr
          td tabLink
          td string/boolean
          td
          td Enables tab link and specify CSS selector of the target tab (if specified as a string)
        tr
          td tabLinkActive
          td boolean
          td
          td Makes this tab link active
        tr
          td target
          td string
          td
          td Link target attribute
        tr
          td tooltip
          td string
          td
          td List button <a href="../docs/tooltip.html">tooltip</a> text to show on button hover/press
        tr
          td tooltipTrigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
        tr
          th(colspan="4") &lt;ListButton&gt; navigation/router related properties
        +svelteLinkRouterProps
        tr
          th(colspan="4") &lt;ListButton&gt; action related properties
        +svelteLinkActionsProps

    h2 List Button Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;ListButton&gt; events
        tr
          td click
          td Event will be triggered after click on a button


    h2 Examples
    +examplePreview('svelte', 'buttons.svelte', 'buttons')
      .device-spacer
